Bug 135332 - Crash: Scroll sidebar on Data Provider, which was opened by TAB UI
Summary: Crash: Scroll sidebar on Data Provider, which was opened by TAB UI
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.4 release
Hardware: All All
: medium normal
Assignee: Tushar Kumar Rai
URL:
Whiteboard: target:7.2.0 target:7.4.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: Data-Provider Regressions-1024plus-Columns
  Show dependency treegraph
 
Reported: 2020-07-31 00:45 UTC by sawakaze
Modified: 2022-02-14 15:39 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
ScreenCast (870.86 KB, video/x-matroska)
2020-07-31 00:45 UTC, sawakaze
Details
bt from throw (9.73 KB, text/plain)
2020-07-31 08:00 UTC, Julien Nabet
Details
bt from warn (7.92 KB, text/plain)
2020-07-31 08:01 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sawakaze 2020-07-31 00:45:20 UTC
Description:
On Calc, User interface setting is to TabUI, then user can select Data provider.
Once, after I opened Data Provider, I found the way to crash.
if Data provider omits, the issue is open data provider from tabui.
detail is following "Steps to Reproduce" and screencast 

Steps to Reproduce:
1. open calc
2. menu > view > User Interface > Tabbed
-> change UI to Tabbed
3. press "Data" tab and press data provider.
-> open data provide window
4. several scroll on horizontal scrollbar
-> crash

Actual Results:
application crash
open data provider from TabUI

Expected Results:
not application crash
if omit, not open data provider from tab UI


Reproducible: Always


User Profile Reset: Yes



Additional Info:
i confirm 

Version: 7.0.0.3
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: ja-JP (ja_JP.UTF-8); UI: en-US
Calc: threaded
Comment 1 sawakaze 2020-07-31 00:45:48 UTC
Created attachment 163794 [details]
ScreenCast
Comment 2 Julien Nabet 2020-07-31 08:00:23 UTC
Created attachment 163798 [details]
bt from throw

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Here's the bt from throwing with:
"terminate called after throwing an instance of 'std::length_error'
  what():  vector::_M_default_append
"
Comment 3 Julien Nabet 2020-07-31 08:01:25 UTC
Created attachment 163799 [details]
bt from warn

I also noticed this log:
warn:sc:19776:19776:sc/source/ui/miscdlgs/datatableview.cxx:220: Could not find the corresponding column
Comment 4 Aron Budea 2021-03-25 01:42:29 UTC
Regression from the following commit. Considering bug 139409, probably not something to be concerned by for now.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7282014e362a1529a36c88eb308df8ed359c2cfa
author		Noel Grandin <noel.grandin@collabora.co.uk>	2019-02-01 15:15:16 +0100
committer	Mike Kaganski <mike.kaganski@collabora.com>	2019-04-05 13:43:52 +0200

tdf#50916 Makes numbers of columns dynamic.
Comment 5 Commit Notification 2021-05-27 13:48:33 UTC
tushar committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0643e5a3accc01e0ee7a2359ec283ced8d0cf0ab

tdf#135332 Return MAXROW/MAXCOL for rows/columns out of range.

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-02-14 15:38:32 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0691cc55148503448012326b070aa9209c54270b

remove hardcoded MAXCOL/MAXROW from datatableview.cxx (tdf#135332)

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.